Angular 2 rc4: DynamicComponentLoader устарел

Я обновляю свое приложение Angular 2 для beta.14 до RC.4.

Я получаю устаревшее предупреждение на DynamicComponentLoader в @ angular / core.

Какой новый класс будет использоваться? Есть ли примеры?

 Radim Köhler12 июл. 2016 г., 17:34
 jtzero15 июл. 2016 г., 18:52
Из коммита сказано:DynamicComponentLoader устарела. использованиеComponentResolver а такжеViewContainerRef напрямую «.github.com/angular/angular/commit/...  примерplnkr.co/edit/8o9dAcOQ4LTYa4Oms5wE?p=preview
 jtzero15 июл. 2016 г., 19:00

Ответы на вопрос(1)

ComponentResolver используется. Ссылайтесь на первый ответ по этой ссылкеAngular 2 динамических вкладки с выбранными пользователем компонентами.

Обратитесь это тоже:http://blog.lacolaco.net/post/dynamic-component-creation-in-angular-2/

 monica07 окт. 2016 г., 11:26
Этот ответ может помочь вамstackoverflow.com/questions/38888008/...
 Rajind Ruparathna07 окт. 2016 г., 10:06
ComponentResolver также был удален.github.com/angular/angular/commit/73a9ee4

Ваш ответ на вопрос